Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Functions
warehouse_picking_opt_debug.cpp File Reference

translated with gcc version 12.2.1 More...

`#include "warehouse_picking_opt_debug.h"`

## Functions
void | debugCustomerMultimap (multimap< int, Customer, greater< int > > cust_mult)
| show all the customers details More...
void | debugCustomer (Customer cust)
| show one customer detail More...
void | debugCartsCustomers (list< Cart > cart_list)
| show cart list details More...
void | debugCartsOItems (list< Cart > cart_list, bool additional_spec)
| show all the items loaded for each cart More...
void | debugCartsBoxes (list< Cart > cart_list)
| show info of boxes loaded for each cart More...
void | debugCustomerBoxItems (vector< BoxItem > boxitem_vect)
| show details of boxitems More...
void | debugCustomerBoxes (vector< Box > box_vect)
| show details of customer's boxes More...

## Detailed Description

translated with gcc version 12.2.1

Author
  Jan Holáň, xholan11 (xhola.nosp@m.n11@.nosp@m.vutbr.nosp@m..cz)

Version
  0.1

Date
  2023-05-01

Copyright
  Copyright (c) 2023

## Function Documentation

## ◆ debugCartsBoxes()

void debugCartsBoxes | ( | list< Cart > | cart_list | ) |

show info of boxes loaded for each cart

Parameters

  cart_list |

## ◆ debugCartsCustomers()

void debugCartsCustomers | ( | list< Cart > | cart_list | ) |

show cart list details

Parameters

  cart_list |

## ◆ debugCartsOItems()

void debugCartsOItems | ( | list< Cart > | cart_list,
|  | bool | additional_spec = `false`
| ) |  |

show all the items loaded for each cart

Parameters

  cart_list |
  additional_spec | show more detailed info

## ◆ debugCustomer()

void debugCustomer | ( | Customer | cust | ) |

show one customer detail

Parameters

  cust |

## ◆ debugCustomerBoxes()

void debugCustomerBoxes | ( | vector< Box > | box_vect | ) |

show details of customer's boxes

Parameters

  box_vect |

## ◆ debugCustomerBoxItems()

void debugCustomerBoxItems | ( | vector< BoxItem > | boxitem_vect | ) |

show details of boxitems

Parameters

  boxitem_vect |

## ◆ debugCustomerMultimap()

void debugCustomerMultimap | ( | multimap< int, Customer, greater< int > > | cust_mult | ) |

show all the customers details

Parameters

  cust_mult |